locked
Windows 2008 R2 Standard - .Net Framework 3.5 sp1

    Question

  • Having issues installing software that require .net 3.5 sp1.  Errors are something like, "please install the following software - .net 3.5 sp1".  I have installed 3.5.1 and the below components within Server Manager Features.  It does not show in Control Panel Programs (not sure if that matters).  Any thoughts what's going on here?  I thought maybe I need to install more Roles/Features under Web Server or Application Server..
    Tried removing from Features and manually installing 3.5 sp1 but that doesn't work.
    I see Version 3.5.307929.4926 under folder v3.5 at HKLM\Software\Microsfot\Net Framework Setup\NDP\
    OS is Windows 2008 R2 Standard
    Vendors say's the OS is supported
    No errors appear when I install the same software on a 2008 box.
    Has anyone else come across this problem and if so what have you done to resolve?

    Thanks,
    Saturday, March 13, 2010 11:31 AM

All replies

  • Did you also see "SP=1" under the registry key: HKLM\Software\Microsfot\Net Framework Setup\NDP\v3.5 ? If so, it is sure that 3.5 sp1 is installed properly.

    Another point is that 2008 R2 only has 64bit versions, are you sure you are running the correct 64bit version of this software too?
    Monday, March 15, 2010 7:29 AM
  • I do not see any keys referring to SP=1, SP1, or 3.5.1 in R2.  At that location under v3.5 there's a folder 1033 if that means anything.

    The application installs without error on windows 2008 x64 non-release 2.  

    Can anyone from Microsoft verify that this is the way it should be?  Has anyone actually installed 3.5.1 within Features on a R2 box and see 3.5.1, 3.5.1, or 3.5 sp1 within the Registry?
         

    Thanks,
    Monday, March 15, 2010 3:55 PM
  • Having issues installing software that require .net 3.5 sp1.  Errors are something like, "please install the following software - .net 3.5 sp1".  I have installed 3.5.1 and the below components within Server Manager Features.  It does not show in Control Panel Programs (not sure if that matters).  Any thoughts what's going on here?  I thought maybe I need to install more Roles/Features under Web Server or Application Server..
    Tried removing from Features and manually installing 3.5 sp1 but that doesn't work.
    I see Version 3.5.307929.4926 under folder v3.5 at HKLM\Software\Microsfot\Net Framework Setup\NDP\
    OS is Windows 2008 R2 Standard
    Vendors say's the OS is supported
    No errors appear when I install the same software on a 2008 box.
    Has anyone else come across this problem and if so what have you done to resolve?

    Thanks,

    I wonder which software requires .net 3.5 sp1? Would you please provide the more detailed information of this software?
    Wednesday, June 09, 2010 6:35 AM